Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046552
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[POS2] POSmajorhave not tried2021-05-06 14:532021-05-27 15:28
ReporterjcbourgeoisView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046552: JIRA 1654 - The selection of a safe box should be mandatory at initial count

DescriptionAfter doing a cashup and once logged in in POS, the list of available safe boxes is displayed for initial count.
At this step, it's possible to skip this important step by clicking on Skip or clicking on the Sales menu. So it's possible to start sales without selecting a safe box.
The only way to have the safe boxes proposed again is to logout and login.

=> The selection of a safe box should be mandatory at initial count.
A new preference (or a new parameter at touchpoint type level) should be created to make the selection of a safe box mandatory or not (maybe with an approval).
Steps To Reproduce1) Use a till with safe boxes configured
2) Login
3) The available safe boxes are proposed
4) It's possible to click on Skip button or sales button
=> It's possible to make sales without assigning any safe box
TagsNo tags attached.
Attached Filespng file icon 2021-05-06 14_53_42-Openbravo POS2.png [^] (46,480 bytes) 2021-05-06 14:53

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046746TAP closedaferraz JIRA 1654 - The selection of a safe box should be mandatory at initial count 

-  Notes
(0128628)
hgbot (developer)
2021-05-25 20:50

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/490 [^]
(0128666)
hgbot (developer)
2021-05-26 14:27

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/435 [^]
(0128722)
hgbot (developer)
2021-05-27 15:23

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/435 [^]
(0128723)
hgbot (developer)
2021-05-27 15:23

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 907d41cbbf49a031e86c877b0e8315ea3e9a0b32
Author: Álvaro Ferraz <alvaro.ferraz@openbravo.com>
Date: 2021-05-27T15:22:44+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/907d41cbbf49a031e86c877b0e8315ea3e9a0b32 [^]

Related to ISSUE-46552: Rename Requires Safe Box field as Use Safe Box in Touchpoint Type window

Also updates the seqno of the safebox field, the previous one is already used by other field and it results
in inconsistent field order.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0128724)
hgbot (developer)
2021-05-27 15:28

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/490 [^]
(0128725)
hgbot (developer)
2021-05-27 15:28

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 892c88976233261a249c1807523b0a74301c86ea
Author: Álvaro Ferraz <alvaro.ferraz@openbravo.com>
Date: 2021-05-27T15:24:38+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/892c88976233261a249c1807523b0a74301c86ea [^]

Fixes ISSUE-46552: Add Safe Box mandatory field in Touchpoint Type window

---
A web-jspack/org.openbravo.pos2/src/model/user-interface/__test__/SwitchToInitialCountWindow.test.js
A web-jspack/org.openbravo.pos2/src/model/user-interface/user-actions/cashup/InitialCountWindowHooks.js
M src-db/database/model/modifiedTables/OBPOS_TERMINALTYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupHeaderSkipSafeboxSelection/CashupHeaderSkipSafeboxSelection.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupHeaderSkipSafeboxSelection/__test__/CashupHeaderSkipSafeboxSelection.test.jsx
M web-jspack/org.openbravo.pos2/src/model/user-interface/user-actions/initialCount/OpenInitialCount.js
M web-jspack/org.openbravo.pos2/src/ob-init.js
---

- Issue History
Date Modified Username Field Change
2021-05-06 14:53 jcbourgeois New Issue
2021-05-06 14:53 jcbourgeois Assigned To => Retail
2021-05-06 14:53 jcbourgeois File Added: 2021-05-06 14_53_42-Openbravo POS2.png
2021-05-06 14:53 jcbourgeois Triggers an Emergency Pack => No
2021-05-07 12:55 guilleaer Status new => acknowledged
2021-05-07 12:55 guilleaer Type defect => feature request
2021-05-19 19:51 guilleaer Status acknowledged => scheduled
2021-05-19 19:51 guilleaer Assigned To Retail => aferraz
2021-05-25 20:50 hgbot Note Added: 0128628
2021-05-26 14:27 hgbot Note Added: 0128666
2021-05-27 15:23 hgbot Note Added: 0128722
2021-05-27 15:23 hgbot Note Added: 0128723
2021-05-27 15:28 hgbot Note Added: 0128724
2021-05-27 15:28 hgbot Resolution open => fixed
2021-05-27 15:28 hgbot Status scheduled => closed
2021-05-27 15:28 hgbot Note Added: 0128725


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker